eclipse-rcp_3.8.1-11_amd64.deb


Advertisement

Description

eclipse-rcp - Eclipse Rich Client Platform (RCP)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name eclipse-rcp
Package version 3.8.1
Package release 11
Package architecture amd64
Package type deb
Installed size 7.90 KB
Download size 6.68 MB
Official Mirror archive.ubuntu.com
The Eclipse Platform is an open and extensible platform for anything and yet
nothing in particular. It provides a foundation for constructing and running
integrated software-development tools. The Eclipse Platform allows tool
builders to independently develop tools that integrate with other people's
tools so seamlessly you can't tell where one tool ends and another starts.
This package includes the Eclipse Rich Client Platform (RCP), the basis upon
which Eclipse RCP applications are built.

Alternatives

Package Version Architecture Repository
eclipse-rcp_3.8.1-11_i386.deb 3.8.1 i386 Ubuntu Universe
eclipse-rcp - - -

Requires

Name Value
default-jre -
java5-runtime -
java6-runtime -
libc6 >= 2.14
libequinox-osgi-java >= 3.9.1
libfelix-gogo-command-java -
libfelix-gogo-shell-java -
libicu4j-49-java >= 49.1-2
libswt-cairo-gtk-3-jni >= 3.8.0~
libswt-gtk-3-java << 3.9.0~
libswt-gtk-3-java >= 3.8.0~
libswt-webkit-gtk-3-jni >= 3.8.0~

Replaces

Name Value
eclipse-rcp-gcj -
libswt-gtk-3.4-java -
libswt-gtk-3.4-jni -
libswt-gtk-3.5-jni << 3.5.1+repack
libswt3.2-gtk-gcj -
libswt3.2-gtk-java -
libswt3.2-gtk-jni -

Download

Type URL
Binary Package eclipse-rcp_3.8.1-11_amd64.deb
Source Package eclipse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install eclipse-rcp deb package:
    # sudo apt-get install eclipse-rcp

Files

Path
/usr/lib/eclipse/about_files/IJG_README
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/35/1/.cp/os/linux/x86_64/libunixfile_1_0_0.so
/usr/lib/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/eclipse_update_120.jpg
/usr/lib/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/epl-v10.html
/usr/lib/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/feature.properties
/usr/lib/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/feature.xml
/usr/lib/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/license.html
/usr/lib/eclipse/plugins/com.ibm.icu_49.1.0.jar
/usr/lib/eclipse/plugins/org.apache.felix.gogo.command_0.14.0.jar
/usr/lib/eclipse/plugins/org.apache.felix.gogo.runtime_0.16.2.jar
/usr/lib/eclipse/plugins/org.apache.felix.gogo.shell_0.12.0.jar
/usr/lib/eclipse/plugins/org.eclipse.core.commands_3.6.1.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.contenttype_3.4.200.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.databinding.beans_1.2.200.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.databinding.observable_1.4.1.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.databinding.property_1.4.100.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.databinding_1.4.1.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.expressions_3.4.400.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.jobs_3.5.200.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.runtime.compatibility.auth_3.2.300.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.core.runtime_3.8.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.app_1.3.100.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.bidi_0.9.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.common_3.6.100.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.console_1.0.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.ds_1.4.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.3.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.preferences_3.5.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.registry_3.5.200.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.simpleconfigurator_1.0.301.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.util_1.0.400.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.help_3.6.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.jface.databinding_1.6.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.jface_3.8.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.rcp_3.8.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.swt_3.8.2.jar
/usr/lib/eclipse/plugins/org.eclipse.ui.workbench_3.8.1.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.ui_3.8.0.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.update.configurator_3.3.200.dist.jar
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.dist/about.html
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.dist/eclipse_1503.so
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.dist/launcher.gtk.linux.x86_64.properties
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.dist/META-INF/MANIFEST.MF
/usr/share/doc/eclipse-rcp/changelog.Debian.gz
/usr/share/doc/eclipse-rcp/copyright
/usr/share/eclipse/features/org.eclipse.rcp_3.8.1.dist-92A9GODFSNQBG/eclipse_update_120.jpg
/usr/share/java/org.eclipse.core.commands.jar
/usr/share/java/org.eclipse.core.commands_3.6.1.dist.jar
/usr/share/java/org.eclipse.equinox.common.jar
/usr/share/java/org.eclipse.equinox.common_3.6.100.dist.jar
/usr/share/java/org.eclipse.jface.jar
/usr/share/java/org.eclipse.jface_3.8.0.dist.jar
/usr/share/lintian/overrides/eclipse-rcp

Changelog

2018-02-21 - Markus Koschany <apo@debian.org>
eclipse (3.8.1-11) unstable; urgency=medium
* Team upload.
* Declare compliance with Debian Policy 4.1.3.
* Drop binary package libequinox-osgi-java which is now provided by
src:libequinox-osgi-java.
* Remove obsolete libequinox-osgi-java install filesi and debian/rules code.
* Drop obsolete eclipse-platform.menu file.
2016-10-26 - Emmanuel Bourg <ebourg@apache.org>
eclipse (3.8.1-10) unstable; urgency=medium
* Team upload.
* Transition to Jetty 9
2016-10-19 - Emmanuel Bourg <ebourg@apache.org>
eclipse (3.8.1-9) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 8 (Closes: #757536)
* Fixed the build failure with dpkg-buildpackage -A (Closes: #806613)
* Transition to libservlet3.1-java and libtomcat8-java (Closes: #759641)
* eclipse-jdt no longer recommends sun-java6-jdk
* Standards-Version updated to 3.9.8
* Use a secure Vcs-Git URL
* Removed Andres Mejia from the uploaders (Closes: #743521)
* Removed Niels Thykier from the uploaders (Closes: #770568)
* debian/copyright: Updated the Format URI
2015-02-28 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse (3.8.1-8) unstable; urgency=medium
* Update icu4j dependency to libicu4j-49-java
- required by eclipse-cdt 8.6.0.
* Bump Standards-Version to 3.9.6.
* Convert Vcs-* fields in d/control into canonical format.
2014-11-24 - Markus Koschany <apo@gambaru.de>
eclipse (3.8.1-7) unstable; urgency=medium
* Team upload.
* Install all arch-dependent files into eclipse-rcp correctly by renaming
override_dh_install to override_dh_install-arch.
Fix wrong override for dh_install-indep and move jh_classpath commands
to the appropriate override target. (Closes: #770457, #763994)
2014-09-14 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse (3.8.1-6) unstable; urgency=medium
[ Emmanuel Bourg ]
* Team upload.
* Replaced the jsr14 compilation target with 1.5 to compile with Java 8
[ Jakub Adam ]
* Refreshed d/eclipse-build-generatedScripts.tar.bz2 (Closes: #759847).
* Override needless-suggest-recommend-libservlet-java lintian warning
- follows from an optional OSGi dependency on javax.servlet.
2014-01-16 - tony mancill <tmancill@debian.org>
eclipse (3.8.1-5.1) unstable; urgency=low
[ Jakub Adam ]
* Compile org.eclipse.osgi bundle for java 1.5.
- Required for Tycho build with Java 7.
* Fix FTBFS on s390x architecture.
* Provide convenient symlinks for jdi.jar and jdimodel.jar (Closes: #734797).
* Add README.ports.
* Move Orbit jar symlinks mentioned in bundles.info from eclipse-platform-data
into eclipse-platform (Closes: #735096, #732244).
- Ensures bundles.info is always consistent with bundle names.
[ Matthias Klose ]
* Build for arm64 and ppc64el.
[ tony mancill ]
* Bump Standards-Version to 3.9.5.
2013-06-12 - Jakub Adam <jakub.adam@ktknet.cz>
eclipse (3.8.1-4) unstable; urgency=low
* Fix help webapp with tomcat-jasper.jar from libtomcat7-java 7.0.40.
* Improved eclipse-jdt extended description (Closes: #700256).
2013-06-01 - tony mancill <tmancill@debian.org>
eclipse (3.8.1-3) unstable; urgency=low
* Team upload.
* Actually upload to unstable.
2013-05-31 - tony mancill <tmancill@debian.org>
eclipse (3.8.1-2) experimental; urgency=low
*Team upload.
[ Jakub Adam ]
* Fix FTBFS on ppc64 (Closes: #694950).
* Bump Standards-Version to 3.9.4.
[ tony mancill ]
* Upload to unstable.

See Also

Package Description
eclipse-remote-services-api_8.0.0-1_all.deb Eclipse Remote Services API
eclipse-rpm-editor_3.1.0-1_all.deb Editor for RPM .spec files integrated into Eclipse
eclipse-rse-sdk_3.4.2-2_all.deb Eclipse Remote System Explorer (source and documentation)
eclipse-rse_3.4.2-2_all.deb Eclipse Remote System Explorer (RSE)
eclipse-subclipse-graph_1.10.3-1_all.deb Subversion Revision Graph Eclipse plugin
eclipse-subclipse-mylyn_1.10.3-1_all.deb Subclipse Mylyn integration
eclipse-subclipse_1.10.3-1_all.deb Subversion client plugin for Eclipse
eclipse-titan_6.3.1-1build1_amd64.deb TITAN TTCN-3 toolset from the Eclipse project
eclipse-wtp-servertools_3.6.3-3_all.deb Eclipse WTP server tools
eclipse-wtp-webtools_3.6.3-3_all.deb Eclipse HTML, CSS and Javascript tools
eclipse-wtp-ws_3.6.3-3_all.deb Eclipse web services tools
eclipse-wtp-xmltools_3.6.3-3_all.deb Eclipse XML tools and editors
eclipse-wtp-xsl_3.6.3-3_all.deb Eclipse Extensible Stylesheet Language tools
eclipse-wtp_3.6.3-3_all.deb Eclipse Web Tools Platform
eclipse-xsd-sdk_2.9.0-1_all.deb XML Schema Definition (XSD) for Eclipse - (Source/Documentation)
Advertisement
Advertisement